@echo off
rem Zip up an external distribution of wxWindows
if "%1" == "" goto usage
if "%2" == "" goto usage
echo About to archive an external wxWindows distribution:
echo   From   %1
echo   To     %2\wx161_1.zip, %2\wx161_2.zip, %2\wx161_ps.zip, %2\wx161_hlp.zip, %2\wx161_xlp.zip
echo CTRL-C if this is not correct.
pause

rem copy unzip.exe %2
rem copy install.bat %2

erase %2\wx161*.zip

cd %1
echo Zipping...
zip -P %3 %4 %5 %6 %7 %8 %2\wx161.zip @%1\distrib\wx_asc.rsp
zip -a -P %3 %4 %5 %6 %7 %8 %2\wx161.zip @%1\distrib\util_asc.rsp
zip -P %3 %4 %5 %6 %7 %8 %2\wx161.zip @%1\distrib\wx_bin.rsp
zip -a -P %3 %4 %5 %6 %7 %8 %2\wx161.zip @%1\distrib\util_bin.rsp

zip -P %3 %4 %5 %6 %7 %8 %2\wx161ps.zip @%1\distrib\wx_ps.rsp
zip -P %3 %4 %5 %6 %7 %8 %2\wx161hlp.zip @%1\distrib\wx_hlp.rsp
zip -P %3 %4 %5 %6 %7 %8 %2\wx161xlp.zip @%1\distrib\wx_xlp.rsp

echo Splitting wx161.zip into disk-sized files...
cd %2
zs wx161.zip 4
move wx161A.zip wx161_1.zip
move wx161B.zip wx161_2.zip
erase wx161.zip

echo wxWindows archived.
goto end

:usage
echo DOS wxWindows distribution.
echo Usage: zipdist source destination
echo e.g. zipdist c:\wx b:

:end
