#
# Makefile for WATCOM
#
# Created by D.Chubraev, chubraev@iem.ee.ethz.ch
# 8 Nov 1994
#

WXDIR = ..\.. 
WXLIB = $(WXDIR)\lib
WXINC = $(WXDIR)\include\msw
WXBASEINC = $(WXDIR)\include\base
INC=/I$(WXINC) /I$(WXBASEINC)

CPPFLAGS = -zW -d1 -od -dwx_msw $(INC) 
NAME = hello

LNK = $(name).lnk

OBJS = $(name).obj 

$(name).exe : $(OBJS) $(name).res $(LNK) $(WXLIB)\wx386.lib
    wlink @$(LNK)
    wbind $(name) -R $(name).res

$(name).res :      $(name).wrc $(WXDIR)\include\msw\wx.rc
     wrc -r -zm /i$(WXDIR)\include\msw /i$(WXDIR)\contrib\fafa $(name).wrc

$(LNK) : makefile.wat
    %create $(LNK)
    @%append $(LNK) debug all
    @%append $(LNK) sys win386 
    @%append $(LNK) option mindata=100K
    @%append $(LNK) option maxdata=100K
    @%append $(LNK) option stack=7k
    @%append $(LNK) name $(name)
    @%append $(LNK) file $(WXLIB)\wx386.lib
    @%append $(LNK) file $(WXLIB)\fafa.lib
    @for %i in ($(OBJS)) do @%append $(LNK) file %i

.cc.obj : .AUTODEPEND
        wpp386 $(CPPFLAGS) $[*
