$! LOGIN.COM 
$!
$! wer  wann            warum
$! mw   29.03.94        Erstellung
$!
$!***************************************************************************
$!
$! Befehle, die nur interaktiv ausgefuehrt werden sollen
$!
$ if F$MODE() .EQS. "INTERACTIVE" 
$ then
$ define udisk sys$login_device
$!
$! Unterscheidung, ob wir auf der VAX oder der ALPHA sind
$! 
$ if F$GETSYI("nodename") .EQS. "PVAX26"
$ then
$!
$! wir sind auf der VAX
$!
$ define axp axp11::dka300:
$ make == "mms/descrip=makefile.vms/macro=(VAX=1,USER=hammes)"
$! for C-compiler include files
$ define sys sys$library
$ sa == "set host axp11"
$ sad == "set disp/cre/node=axp11::wsa1:"
$ set prompt = "UVAX$ "
$ bitmap == "$ decw$examples:bitmap.exe"
$! for kermit
$ kermit == "@udisk:[hammes.kermit]kermit.com"
$ hexto == "$ udisk:[hammes.kermit]hexto.exe"
$ vmshex == "$ udisk:[hammes.kermit]vmshex.exe"
$ vmsdeh == "$ udisk:[hammes.kermit]vmsdeh.exe"
$!
$ else
$!
$! wir sind auf der ALPHA
$!
$ define vax pvax26::dkb200:
$! see below make == "mms/descrip=makefile.vms/macro=(ALPHA=1,USER=hammes)"
$ sv == "set host pvax26"
$ svd == "set disp/cre/node=pvax26"
$ set prompt = "UAXP$ "
$ bitmap == "$ SYS$COMMON:[SYSHLP.EXAMPLES.DECW.UTILS]bitmap.exe"
$! for kermit
$ kermit == "$ udisk:[kermit]kermit.exe"
$ hexto == "$ udisk:[hammes.kermit]hexto.exe"
$ vmshex == "$ udisk:[hammes.kermit]vmshex.exe"
$ vmsdeh == "$ udisk:[hammes.kermit]vmsdeh.exe"
$ 
$ endif ! if nodename
$!
$!   Terminal
$!
$!    set term /insert /page=40
$!	
$!   Prozerechte
$!
$!	logische Namen
$ define tpu$section sys$login:mysection.eve
$ define eve$init sys$login:myinit.eve
$!
$!   Dateioperationen
$!
$ list == "type/page"
$ pu == "purge/log"
$ del == "delete/log"
$ ren == "rename/log"
$ grep == "search/exact/number"
$ fgrep == "search/exact/number"
$ ll == "dir/siz/dat=modif/prot/ver=1"
$ ls == "dir/ver=1"
$ dirs == "ll *.dir"
$ mv == "rename/log"
$ rm == "delete/log"
$ me == "edit/tpu"
$ ue == "edit/tpu"
$ vi == "edit/tpu"
$ pwd == "sh def"
$ pd == "sh def"
$ cd == "set def"
$ cat == "type"
$ df == "sh dev dk"
$ cp == "copy/log"
$ md == "crea/dir"
$ ps == "show system"
$ who == "show user"
$ attr == "set file /prot="
$ puexe == "purge/log udisk:[hammes...]*.exe,udisk:[hammes...]*.obj,udisk:[hammes]*.olb"
$ srcchg == "dir [hammes...]*.* /excl=(*.obj,*.exe,*.olb) /ver=1 /since="

$ home == "set def udisk:[hammes]"
$ xv == "$ udisk:[hammes.xv]xv.exe"
$ xvroot == "$ udisk:[hammes.xv]xv.exe -root -quit -rmode"

$! for 68k simulation
$ sim == "$ udisk:[hammes.sim68k.68ksim]sim.exe"  
$ asm == "$ udisk:[hammes.sim68k.68kasm]asm.exe"  


$! for povray
$ povray == "$ udisk:[hammes.pov]povray.exe"
$ vgif == "$ decw$examples:pict.exe -nsc"
$ ppmmerge == "$ udisk:[hammes.pbmplus.ppm]ppmmerge.exe"
$ tgatoppm == "$ udisk:[hammes.pbmplus.ppm]ppmmerge.exe tgatoppm"
$ giftoppm == "$ udisk:[hammes.pbmplus.ppm]ppmmerge.exe giftoppm"
$ ppmtogif == "$ udisk:[hammes.pbmplus.ppm]ppmmerge.exe ppmtogif"
$ ppmtotga == "$ udisk:[hammes.pbmplus.ppm]ppmmerge.exe ppmtotga"
$ ppmquant == "$ udisk:[hammes.pbmplus.ppm]ppmmerge.exe ppmquant"

$! for bison and flex
$ define tools$$exe udisk:[hammes.bin]
$ define tools$$library udisk:[hammes.lib]
$ define tools$$manual udisk:[hammes.lib]
$ bison == "$ tools$$exe:bison.exe"
$ bisonpp == "$ tools$$exe:bisonpp.exe"
$ flex == "$ tools$$exe:flex.exe"
$ flexpp == "$ tools$$exe:flexpp.exe"
  
$! for own applications
$ molv == "$ udisk:[hammes.mv]mv.exe"
$ proptest == "$ udisk:[hammes.mv]proptest.exe"
$ rev == "$ udisk:[hammes.re]re.exe"
$ tev == "$ udisk:[hammes.tv]tv.exe"
$ hp2bin == "$ udisk:[hammes.re]hp2bin.exe"
$ uparse == "$ udisk:[hammes.mv.uilparse]uparse.exe"
$ uudec == "$ udisk:[hammes.tools]uudec.exe"
$ uuenc == "$ udisk:[hammes.tools]uuenc.exe"
$ makedpnd == "$ udisk:[hammes.tools]makedpnd.exe"
$ arch == "$ udisk:[hammes.tools]arch.exe"
$ archdir == "@udisk:[hammes.tools]archdir.com"
$ archdirs == "@udisk:[hammes.tools]archdirs.com"
$ copymodi == "@udisk:[hammes.tools]copymodi.com"

$ hpgl == "$ udisk:[hammes.hpgl]hpgl.exe"
$ postscr == "view/format=ps/select=x_display"
$ mdi == "$ udisk:[hammes.mdi]mdi.exe"
$!
$! Logical names for include files
$!
$ cxx_mot == "SYS$SYSDEVICE:[SYS0.SYSCOMMON.SYSLIB.CXX_MOTIF_HEADERS.INCLUDE"
$ define Xm             'cxx_mot']
$ define DXm            'cxx_mot']
$ define Mrm            'cxx_mot']
$ define Xt             'cxx_mot']
$ define X11            'cxx_mot'],'cxx_mot'.XT]
$ define Uil            'cxx_mot']
$ define DECW$INCLUDE   Mrm,DXm,Xm,Uil,Xt,X11
$!
$! For ROGUE-WAVE Classlibs
$! define rw sys$login_device:[hammes.rogue.rw]
$! define rw_xrw sys$login_device:[hammes.rogue.rw.xrw]
$! define rwtools sys$login_device:[hammes.rogue.toolsrc]rwtools.olb
$! define rwview sys$login_device:[hammes.rogue.appsrc]rwview.olb
$! define rwwrap sys$login_device:[hammes.rogue.mtwrapsrc]rwwrap.olb
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$! For wxWindows Classlib
$! define wx sys$login_device:[hammes.wxw161.lib]wx.olb
$ make == "mms/descrip=makefile.vms/macro=(DEVELOP=1,ALPHA=1,WXDIR=[hammes.wxw161)"
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!             
$!   Divers
$ endif 	! END INTERACTIVE
$!
$! ************************************
$!
$ if F$MODE() .EQS. "BATCH" 
$ then
$!
$!   Put commands you want executed only in batch 
$!
$ endif 	! END BATCH
$!
$! ************************************
$!
$! Put commands that you want executed in any mode of login below.
$!
$!
$ exit
